<?php

class apiCall {

	private $_name, $_get, $_post, $_execResult, $_execResultString;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = 'SmsDeleteMessage';
		$this->_get = $get;
		$this->_post = $post;
		$this->_execResult = true;
		$this->_execResultString = 'success';
	}

	function execute () {

		if (!isset($this->_get['SmsQueue']) || !isset($this->_get['SmsIdentifier'])) {
			$this->_execResultString = 'error:invalid_parameters';
			$this->_execResult = false;
			return($this->_execResult);
		}

		$queuePath = '/tmp/sms/' .$this->_get['SmsQueue'] . '/';

		if (!file_exists($queuePath)) {
			$this->_execResultString = 'error:specified_queue_does_not_exist';
			$this->_execResult = false;
			return($this->_execResult);
		}

		switch($this->_get['SmsQueue']) {
		case 'in':
			@unlink($queuePath . $this->_get['SmsIdentifier'] . '.sms');
			break;
		case 'out':
			@unlink($queuePath . $this->_get['SmsIdentifier'] . '.sms');
			@unlink($queuePath . $this->_get['SmsIdentifier'] . '.sms.log');
			break;
		case 'failout':
			@unlink($queuePath . $this->_get['SmsIdentifier'] . '/message');
			@unlink($queuePath . $this->_get['SmsIdentifier'] . '/message.log');
			@rmdir($queuePath . $this->_get['SmsIdentifier']);
			break;
		}

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}
}

?>
